zip_entry_open
zip_open
Zip Functions
PHP Manual

# zip_entry_read

(PHP 4 >= 4.0.7, PHP 5 >= 5.2.0, PECL zip:1.0-1.9.0)

zip_entry_read — Read from an open directory entry

### Description

string zip_entry_read ( resource `$zip_entry` [, int `$length` ] )

Reads from an open directory entry.

### Parameters

`zip_entry`

  A directory entry returned by zip_read().

`length`

  The number of bytes to return. If not specified, this function will attempt to read 1024 bytes.

  > Note: This should be the uncompressed length you wish to read.

### Return Values

Returns the data read, or `FALSE` if the end of the file is reached.

### See Also

- zip_entry_open()
- zip_entry_close()
- zip_entry_filesize()

zip_entry_open
zip_open
Zip Functions
PHP Manual